[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: python again

On Sun, 04 Jan 2004 14:18:00 +0100, Tollef Fog Heen <tfheen@raw.no>
>* Marc Haber 
>| Butter bei die Fische: How do I build a policy conformant pythonX.Y
>| that allows to run a recent Mailman on woody _without_ having to build
>| all other pythonX.Y packages, and _without_ having to recompile
>| reportbug, python-apt, dput and apt-listchanges.
>Why do you want a newer python?  Mailman works fine using the version
>in woody, if you apply the patch I posted to the list here a few days

I will try that as soon as possible.

But that is a cure for a problem that can pop up again. What if I need
a package that _really_ needs python2.3 on woody? Then I am bitten
again. I don't know enough about python to be able to judge whether it
is a general problem with the toolchain, or if the python packaging is
just plain overengineered. But what we have at the moment sucks. That
I can get by mailman without backporting python might solve my
immediate problem, but it does not make Debian's python concept suck


-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29

Reply to: